ACCT(2)

NAME
acct - switch process accounting on or off

SYNOPSIS
#include <unistd.h>

int acct(const char *filename);

DESCRIPTION
WARNING: Since this function is not implemented as of Linux 0.99.11, it will always return -1 and set errno to ENOSYS. If acctkit is installed the function performs 'as advertised'. When called with the name of an existing file as argument, accounting is turned on, records for each terminating process are appended to filename as it terminates. An argument of NULL causes accounting to be turned off.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

NOTES
No accounting is produced for programs running when a crash occurs. In particular, nonterminating processes are never accounted for.

SEE ALSO
acct(5)